import { DomSanitizer, SafeResourceUrl } from "@angular/platform-browser";
import { Location } from "@angular/common";
import { Router } from "@angular/router";
import { AppState } from "@esfaenza/core/services";
import * as i0 from "@angular/core";
export declare class PagesComponent {
    sanitizer: DomSanitizer;
    _state: AppState;
    private _location;
    router: Router;
    isMenuCollapsed: boolean;
    maxHeight: number;
    dynamicCSSUrl: SafeResourceUrl;
    loadedModuleCss: string;
    constructor(sanitizer: DomSanitizer, _state: AppState, _location: Location, router: Router);
    ngOnInit(): void;
    getCurrentPageName(): void;
    hideMenu(): void;
    getHeight(): void;
    onResize(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PagesComponent, "pages", never, {}, {}, never, never, true, never>;
}
